Convert from XanoScript to JSON
Authentication: required
Required API Scope: Instance Workspace: Read
POST
/
workspace
/
{workspace_id}
/
convert
/
fromXS
Convert from XanoScript to JSON
curl --request POST \
--url https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/convert/fromXS \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: text/x-xanoscript' \
--data 'var $x1 {
value = 1
}
'import requests
url = "https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/convert/fromXS"
payload = "var $x1 {\n value = 1\n}\n"
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "text/x-xanoscript"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'text/x-xanoscript'},
body: 'var $x1 {\n value = 1\n}\n'
};
fetch('https://your-xano-instance.xano.io/api:meta/workspace/{workspace_id}/convert/fromXS', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Body
text/x-xanoscript
The body is of type string.
Example:
"var $x1 {\n value = 1\n}\n"
Response
Success!
Was this page helpful?
⌘I
Convert from XanoScript to JSON
